Bug 249742 - net/ceph12: depends on python 2.x
Summary: net/ceph12: depends on python 2.x
Status: New
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks: 249337
  Show dependency treegraph
 
Reported: 2020-09-24 16:33 UTC by Steve Wills
Modified: 2020-09-24 19:41 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (wjw)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Wills freebsd_committer 2020-09-24 16:33:23 UTC
This port will be removed on 2020-12-31 if not fixed
Comment 1 Willem Jan Withagen 2020-09-24 19:41:49 UTC
I was under the impression that it would get deleted.
But that was only for ceph13:

DEPRECATED=     Uses deprecated version of python
EXPIRATION_DATE=        2020-09-15

The ceph release schedule is on:
https://docs.ceph.com/en/latest/releases/general/

And there ceph12 and ceph13 are EOL.
Not all of the python code would work in python3, so it would clear if everything would work out of the box. 

So as far as that deletion would be oke.